this.scriptfile = "framework_lingo_helper.js"; // useful for debugging

$.newArray = function(){
	return Array.prototype.constructor.apply(this, arguments);
}

$.newDate = function(year, month, date, hour, minute, second, millisecond){
	switch(arguments.length){
		case 0: return new Date();
		case 1: return new Date(year);
		case 2: return new Date(year, month);
		case 3: return new Date(year, month, date);
		case 4: return new Date(year, month, date, hour);
		case 5: return new Date(year, month, date, hour, minute);		
		case 6: return new Date(year, month, date, hour, minute, second);
		default: return new Date(year, month, date, hour, minute, second, millisecond);
	}
}

$.newFunction = function(){
	return Function.prototype.constructor.apply(this, arguments);
}

// for existing symbols like PI you have to use $.eval("Math.PI") instead
$.math = function(){
	return Math;
}

$.newObject = function(){
	return Object.prototype.constructor.apply(this, arguments);
}

$.newRegExp = function(){
	return RegExp.prototype.constructor.apply(this, arguments);
}

$.newString = function(){
	return String.prototype.constructor.apply(this, arguments);
}
